Bug 15611 - http library doesn't support 'chunked transfer encoding'
Summary: http library doesn't support 'chunked transfer encoding'
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: 4.17.12
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-03-21 08:55 UTC by Noel Power
Modified: 2024-04-11 13:04 UTC (History)
1 user (show)

See Also:


Attachments
backport of master patch to 4.20, 4.19 & 4.18 (36.02 KB, patch)
2024-03-27 10:32 UTC, Noel Power
no flags Details
new version of backported patch for 4.19/4.20 (44.92 KB, patch)
2024-04-08 09:20 UTC, Noel Power
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2024-03-21 08:55:30 UTC
at least latest elasticsearch version elasticsearch-8.12.2-1.x86_64 (and maybe earlier version(s)) break spotlight (and wip WSP server) code by transferring responses back to the client using 'chunked transfer encoding' indicated by http header "Transfer-encoding: chunked'
Comment 1 Samba QA Contact 2024-03-27 02:16:11 UTC
This bug was referenced in samba master:

cd6c075476c820b4fe8bdc10a24d8fc8ac74e9c9
74cdebeae3d1bc35eea96b51b9491f6c52844b10
5f03d84e3b52bf5a31a0f885cb83bdcb48ec96f7
30acd609f560352d3edb0c931b9a864110025b2c
03240c91fb6ffcf5afe47c14a1ba7a8bc12f2348
Comment 2 Noel Power 2024-03-27 10:32:14 UTC
Created attachment 18276 [details]
backport of master patch to 4.20, 4.19 & 4.18

patch applies to current v4-18-test, v4-19-test & v4-20-test
Comment 3 Andrew Bartlett 2024-03-28 01:41:17 UTC
Please note new comments on https://gitlab.com/samba-team/samba/-/merge_requests/3561
Comment 4 Samba QA Contact 2024-04-08 04:08:07 UTC
This bug was referenced in samba master:

efdbf0511e0a89f865210170001fbebf17a45278
93709d31590d4ca25fbac813b9e499755b81ddb5
a18c53a9b98e2e8dea08cf0ef08efc59e58ec137
Comment 5 Noel Power 2024-04-08 09:20:59 UTC
Created attachment 18282 [details]
new version of backported patch for 4.19/4.20

patch applies for me on 4.19-test & 4.20-test
Comment 6 Andrew Bartlett 2024-04-08 22:06:50 UTC
Assigning to Jule for next Samba 4.19 and 4.20 releases.
Comment 7 Jule Anger 2024-04-11 09:43:34 UTC
Pushed to autobuild-v4-{20,19}-test.
Comment 8 Samba QA Contact 2024-04-11 10:51:05 UTC
This bug was referenced in samba v4-19-test:

6636ec3bb2aa6e7b2fb86787f814a934d545adfb
c27ad381b393a437fd241405f7156997d343650c
a05d96e4b967e26c92b1f175a1e9d11b54b339c7
57757be4dfd50d640c20ef91f3e4f425f72067d4
cbd4a6633c6e88bb2e5d6b5162016c7f9fb94332
a269412c71ee05019b3ab8a38bcea727963ae22b
65bb329e1668499e1d58b2fca69908990293dd16
2930a1955bfac736754783ef54a0c1083d8ea161
Comment 9 Samba QA Contact 2024-04-11 12:25:04 UTC
This bug was referenced in samba v4-20-test:

19250e13ab6c654405baf7c7d9c18f514ceade0f
71eac5a065fac4023601b067b850d209a7dec149
26206392153248fb2be1ec95a2e3ac14f9356125
7e17e4809d593e1ce2d51583a351b38300a20e2a
a70e3a36c8244a324f5e8fa7b138dae5684055e0
30bf3d1430f96a42c7b90ef215daa33b427da8b9
2fb1bf0205f9b5f72d8e1f51e55cf86997639a46
077f39baf7cc7f4e4ee8709d48b1cb23b8736c1c
Comment 10 Jule Anger 2024-04-11 13:04:52 UTC
Closing out bug report.

Thanks!